# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free
%define namedversion %{version}
%define sname project

Name:           hc-project
Version:        4.1.1
Release:        1%{?dist}
Epoch:          0
Summary:        Components to build HTTP enabled services
License:        ASL 2.0
Group:          Development/Libraries/Java
URL:            http://hc.apache.org/
# svn export http://svn.apache.org/repos/asf/httpcomponents/project/ hc-project-4.1.1 && tar cjf hc-project-4.1.1.tar.bz2 hc-project-4.1.1
# Exported revision 1041688.
Source0:        %{name}-%{namedversion}.tar.bz2
Source1:        %{name}-settings.xml
Source2:        %{name}-jpp-depmap.xml
Patch0:         %{name}-pom_xml.patch
Requires(post): jpackage-utils >= 0:1.7.3
Requires(postun): jpackage-utils >= 0:1.7.3
Requires:       jpackage-utils
Requires:       maven2
Requires:       maven-notice-plugin >= 0:0.0.2
BuildRequires:  jpackage-utils >= 0:1.7.3
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Components to build HTTP enabled services.

%prep
%setup -q
%patch0 -p0 -b .sav0

%build

%install
rm -rf %{buildroot}

# poms
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms
install -p -m 644 pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.httpcomponents-project.pom
%add_to_maven_depmap org.apache.httpcomponents project %{namedversion} JPP/httpcomponents project

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap 

%files
%defattr(0644,root,root,0755)
%{_datadir}/maven2/poms/JPP.httpcomponents-project.pom
%{_mavendepmapfragdir}/%{name}

%changelog
* Tue Dec 07 2010 David Walluck <dwalluck@redhat.com> 0:4.1-1
- release
